CreateAlertInhibitionRule
Create a new inhibition rule for correlating and suppressing alerts
/api/v1/alerting/inhibition-rulesOperation ID
CreateAlertInhibitionRuleSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
nameStringHuman-readable rule name
Example: Suppress disk alerts when host down
descriptionStringRule description
Example: Suppress disk alerts when host is unreachable
sourceMatchersListSource matchers for this resource
Example: (nested array)
keyStringWhitelisted alert label key to match
Example: severity
operatorStringMatch operator: eq, neq, or regex
Example: eq
valueStringValue used by the selected operator
Example: critical
targetMatchersListTarget matchers for this resource
Example: (nested array)
keyStringWhitelisted alert label key to match
Example: severity
operatorStringMatch operator: eq, neq, or regex
Example: eq
valueStringValue used by the selected operator
Example: critical
equalLabelNamesListEqual label names for this resource
Example: item1,item2
Responses
200 OKChange History
View all change historyChange Time
AddedRequest body fields enabledView APIChange Time
AddedRequest body fields equalLabelNames, key, operator...DeletedRequest body fields equalLabels, sourceMatch, targetMatchAddedResponse fields createdBy, currentHitCount, displayName...DeletedResponse fields equalLabels, sourceMatch, targetMatchView API
